#!/usr/bin/php
<?php

/*
 * icecastSNMP.php
 * Copyright 2012 Francesco P. Sileno <fpsileno@oscr.it>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 * 
 */

define('URL',		'http://<server ip>:<server_port>/admin/stats.xml');
define('USER',		'admin');
define('PASSWORD',	'<password>');

if (!$_SERVER['argv'][1]) {

	printf("Usage: %s <mountpoint>\n", $_SERVER['argv'][0]);
	exit(1);
}

$mountPoint = '/'.escapeshellcmd($_SERVER['argv'][1]);

$curl = curl_init(); 
curl_setopt($curl, CURLOPT_URL, URL);
curl_setopt($curl, CURLOPT_USERPWD, sprintf('%s:%s', USER, PASSWORD)); 
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1); 
$output = curl_exec($curl); 
curl_close($curl); 

$output = simplexml_load_string($output);

foreach ($output->source as $source) {

	if ($source['mount'] == $mountPoint) {

		echo $source->listeners[0];
		exit(0);
	}
}
?>
